%define upstream_name    HTML-Template-Pro
%define upstream_version 0.9510

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl/XS module to use HTML Templates from CGI scripts
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildRequires: pcre-devel
%description
Original HTML::Template is written by Sam Tregar, sam@tregar.com with
contributions of many people mentioned there. Their efforts caused
HTML::Template to be mature html tempate engine which separate perl code
and html design. Yet powerful, HTML::Template is slow, especially if
mod_perl isn't available or in case of disk usage and memory limitations.

HTML::Template::Pro is a fast lightweight C/Perl+XS reimplementation of
HTML::Template (as of 2.8) and HTML::Template::Expr (as of 0.0.5). It is
not intended to be a complete replacement, but to be a fast implementation
of HTML::Template if you don't need quering, the extended facility of
HTML::Template. Designed for heavy upload, resource limitations, abcence of
mod_perl.

HTML::Template::Pro has complete support of filters and
HTML::Template::Expr's tag EXPR="<expression>", including user-defined
functions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes FAQ LGPL META.yml MYMETA.yml README TODO
%{_mandir}/man3/*
%perl_vendorarch/HTML
%perl_vendorarch/auto/HTML


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.951.0-8.mga6
+ Revision: 1028369
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.951.0-7.mga6
+ Revision: 957509
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.951.0-6.mga6
+ Revision: 843246
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.951.0-5.mga5
+ Revision: 739840
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.951.0-4.mga5
+ Revision: 684976
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.951.0-3.mga5
+ Revision: 631252
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.951.0-2.mga4
+ Revision: 526324
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 jquelin <jquelin> 0.951.0-1.mga4
+ Revision: 436627
- update to 0.9510

* Wed May 29 2013 jquelin <jquelin> 0.950.900-6.mga4
+ Revision: 432283
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.950.900-5.mga4
+ Revision: 432115
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.950.900-4.mga3
+ Revision: 368152
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 0.950.900-3.mga3
+ Revision: 323832
- rebuild for new pcre

* Wed May 30 2012 jquelin <jquelin> 0.950.900-2.mga3
+ Revision: 250765
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.950.900-1.mga2
+ Revision: 218741
- update to 0.9509

* Wed Jan 04 2012 jquelin <jquelin> 0.950.800-1.mga2
+ Revision: 190310
- update to 0.9508

* Sat Dec 10 2011 kharec <kharec> 0.950.700-1.mga2
+ Revision: 180197
- update to 0.9507

* Thu Oct 13 2011 jquelin <jquelin> 0.950.600-1.mga2
+ Revision: 154319
- update to 0.9506

* Fri Jul 08 2011 jquelin <jquelin> 0.950.500-1.mga2
+ Revision: 120413
- update to 0.9505

* Sun Jun 12 2011 sander85 <sander85> 0.950.400-2.mga2
+ Revision: 104667
- Rebuild for perl 5.14

* Wed Feb 16 2011 jquelin <jquelin> 0.950.400-1.mga1
+ Revision: 52359
- update to 0.9504

* Fri Jan 21 2011 jquelin <jquelin> 0.950.300-1.mga1
+ Revision: 30504
- mageia rebuild
- imported package perl-HTML-Template-Pro


* Tue Aug 31 2010 Jérôme Quelin <jquelin@mandriva.org> 0.950.300-1mdv2011.0
+ Revision: 574787
- update to 0.9503

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.950.200-2mdv2011.0
+ Revision: 555954
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.950.200-1mdv2011.0
+ Revision: 552317
- update to 0.9502

* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 0.940.0-2mdv2010.1
+ Revision: 529780
- rebuild
- update to 0.94
- update to 0.94

* Tue Nov 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.1
+ Revision: 469439
- update to 0.93

* Wed Sep 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 451154
- update to 0.92

* Mon Sep 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.900.0-1mdv2010.0
+ Revision: 439672
- update to new version 0.90

* Sun Aug 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.870.0-1mdv2010.0
+ Revision: 422560
- update to 0.87

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.860.0-1mdv2010.0
+ Revision: 420893
- update to 0.86

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.850.0-1mdv2010.0
+ Revision: 415005
- update to 0.85

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.810.0-1mdv2010.0
+ Revision: 408835
- update to 0.81

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.800.0-1mdv2010.0
+ Revision: 399300
- update to 0.80
- using %%perl_convert_version
- fixed license field

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.76-1mdv2010.0
+ Revision: 396219
- update to new version 0.76

* Mon Jul 06 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.75-1mdv2010.0
+ Revision: 392989
- update to new version 0.75

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.74-1mdv2010.0
+ Revision: 370129
- update to new version 0.74

* Sun Dec 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.72-1mdv2009.1
+ Revision: 320435
- update to new version 0.72

* Sun Sep 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.71-1mdv2009.0
+ Revision: 282127
- update to new version 0.71

* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.70-1mdv2009.0
+ Revision: 235621
- import perl-HTML-Template-Pro


* Mon Jul 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.70-1mdv2009.0
- initial mdv release, generated with cpan2dist


